/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/**
*******************************************************************************
Copyright (C) 2007, Creative Technology Ltd. All Rights Reserved.
*******************************************************************************
*/
#ifndef __PIASERV_H
#define __PIASERV_H

#include "ctdef.h"

#ifdef __cplusplus
extern "C" {
#endif
// Exported to ring 3
#if defined(_USRDLL) && !defined(NO_DRIVER)
    CTAPIEXPORT R0_POINTER PIA_GetIPluginManager(CTHANDLE hDeviceDriver);
    #ifndef NO_PROXY_PIA_LIBSYNC
		#ifdef __CT_SYS_LINUX
			CTAPIEXPORT void PIA_SyncWithLibrarian();
		#else
			CTAPIEXPORT void __cdecl PIA_SyncWithLibrarian();
		#endif
    #endif
#else
    CTAPIEXPORT CTVOID * PIA_GetIPluginManager();
    #ifndef NO_PROXY_PIA_LIBSYNC
        CTAPIEXPORT void PIA_SyncWithLibrarian();
    #endif
#endif // _USRDLL


// Not exported to Ring 3, unless there isn't a driver
#if !defined(_USRDLL) || defined(NO_DRIVER)
    CTCTYPE HRESULT PIADispatch( PCTDIOCPARAMETERS pDIOCParams );
#endif

#ifdef __cplusplus
}
#endif

#endif  // __PIASERV_H

