/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/**
 ******************************************************************************
 * Description:	This file should be used instead of <linux/stddef.h>
 * 		to work around problems caused by programming in c++
 * 		in Linux kernel newer than version 2.6.18
 ******************************************************************************/

#ifndef __CTSTDDEF_H
#define __CTSTDDEF_H

#if defined(__KERNEL__)
#	include <linux/version.h>
#	if defined(__cplusplus) && (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,19))
#		define true linux_true
#		define false linux_false
#		include <linux/stddef.h>
#		undef false
#		undef true
#	else
#		include <linux/stddef.h>
#	endif /*__cplusplus && kernel ver 2.6.19 onward*/
#else
#	include <stddef.h>
#endif /*__KERNEL__*/

#endif /*__CTSTDDEF_H*/
