/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/**
*******************************************************************************
String functions
Copyright (C) 2007, Creative Technology Ltd. All Rights Reserved.
*******************************************************************************
*/

#ifndef __IasCtString_h
#define __IasCtString_h

#include "ctcomdef.h"
#include "ctdef.h"

// {D2D9AE70-147C-11d3-8683-0000E84E5B10}
DEFINE_GUID(IID_IasCtString, 0xd2d9ae70, 0x147c, 0x11d3, 0x86, 0x83, 0x0, 0x0, 0xe8, 0x4e, 0x5b, 0x10);

#undef INTERFACE
#define INTERFACE IasCtString

DECLARE_INTERFACE_( IasCtString, ICtNondelegatingUnknown )
{
    // ICtNondelegatingUnknown
    IMP_ICTNONDEL;

    STDMETHOD_(PCTWCHAR, CtGetLocalizedStringW)       (THIS_ REFCTLOCSTR  lstrString, CTDWORD  dwSize,   PCTWCHAR pszString) PURE;
    STDMETHOD_(PCTCHAR,  CtGetLocalizedStringA)       (THIS_ REFCTLOCSTR  lstrString, CTDWORD  dwSize,   PCTCHAR pszString ) PURE;
    STDMETHOD_(PCTWCHAR, CtGetLocalizedDisplayValueW) (THIS_ REFCTLOCDISP ldisp,      CTDWORD  dwSize,   PCTWCHAR pszString) PURE;
    STDMETHOD_(PCTCHAR,  CtGetLocalizedDisplayValueA) (THIS_ REFCTLOCDISP ldisp,      CTDWORD  dwSize,   PCTCHAR pszString ) PURE;
    STDMETHOD_(CTBOOL, CtInstallAsciiString)        (THIS_ REFCTLOCSTR  lstrString, PCTCHAR  pszString                   ) PURE;
    STDMETHOD_(CTBOOL, CtInstallAsciiUnit)          (THIS_ REFCTLOCUNIT lunit,      PCTCHAR  pszStr                      ) PURE;
    STDMETHOD_(CTBOOL, CtInstallUnicodeUnit)        (THIS_ REFCTLOCUNIT lunit,      PCTWCHAR pStr                        ) PURE;
    STDMETHOD_(CTBOOL, CtInstallUnicodeString)      (THIS_ REFCTLOCSTR  lstrString, PCTWCHAR pwszString                  ) PURE;
    STDMETHOD_(CTBOOL, CtStringDefined)             (THIS_ REFCTLOCSTR  lstrString                                       ) PURE;
    STDMETHOD_(CTBOOL, CtUnitDefined)               (THIS_ REFCTLOCUNIT lunit                                            ) PURE;

	
	// INITIALISE DATABASE..
    STDMETHOD(SetStringType) (THIS_ CTBYTE bStringType)PURE;
	STDMETHOD(SetLangType) (THIS_ CTBYTE bLangType)PURE;
   STDMETHOD(SetCurrentDevice) ( THIS_  CTHANDLE hCurDevice )PURE;

   STDMETHOD(PrepareString) ( THIS )PURE;
   STDMETHOD(UnprepareString) ( THIS )PURE;

};

typedef IasCtString * PASCTSTRING;

#endif

