/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/**
*******************************************************************************
Copyright (C) 2007, Creative Technology Ltd. All Rights Reserved.
*******************************************************************************
*/

#ifndef __IasDevReg_h
#define __IasDevReg_h


#include "ctcomdef.h"
#include "ctdef.h"
#include "wintypes.h"
//#include "CRegistrySecure.h"


// {0C30E5E0-1293-11D3-BDB8-00C0F02DC1B8}
DEFINE_GUID(IID_IasDevReg, 0x0c30e5e0, 0x1293, 0x11d3, 0xbd, 0xb8, 0x0, 0xc0, 0xf0, 0x2d, 0xc1, 0xb8);


#undef INTERFACE
#define INTERFACE IasDevReg

DECLARE_INTERFACE_(IasDevReg, ICtNondelegatingUnknown)
{
    // ICtNondelegatingUnknown
    IMP_ICTNONDEL;

    STDMETHOD_(CTULONG, RegCloseKey)      (THIS_ __HKEY) PURE;
    STDMETHOD_(CTULONG, RegCreateKey)     (THIS_ __HKEY, PCTTCHAR, __PHKEY) PURE;
    STDMETHOD_(CTULONG, RegCreateKeyEx)   (THIS_ __HKEY, PCTTCHAR, CTULONG, PCTTCHAR, CTULONG, REGSAM, LPSECURITY_ATTRIBUTES, __PHKEY, PCTULONG) PURE;
    STDMETHOD_(CTULONG, RegOpenKey)       (THIS_ __HKEY, PCTTCHAR, __PHKEY) PURE;
    STDMETHOD_(CTULONG, RegOpenKeyEx)     (THIS_ __HKEY, PCTTCHAR, CTULONG, REGSAM, __PHKEY) PURE;
    STDMETHOD_(CTULONG, RegSetValue)      (THIS_ __HKEY, PCTTCHAR, CTULONG, PCTTCHAR, CTULONG) PURE;
    STDMETHOD_(CTULONG, RegSetValueEx)    (THIS_ __HKEY, PCTTCHAR, CTULONG, CTULONG, const CTUCHAR *, CTULONG) PURE;
    STDMETHOD_(CTULONG, RegQueryValue)    (THIS_ __HKEY, PCTTCHAR, PCTTCHAR, PCTLONG) PURE;
    STDMETHOD_(CTULONG, RegQueryValueEx)  (THIS_ __HKEY, PCTTCHAR, PCTULONG, PCTULONG, PCTUCHAR, PCTULONG) PURE;
    STDMETHOD_(CTULONG, RegDeleteValue)   (THIS_ __HKEY, PCTTCHAR) PURE;
    STDMETHOD_(CTULONG, RegDeleteKey)     (THIS_ __HKEY, PCTTCHAR) PURE;
    STDMETHOD_(CTULONG, RegEnumKey)       (THIS_ __HKEY, CTULONG, PCTTCHAR, CTULONG) PURE;
    STDMETHOD_(CTULONG, RegEnumKeyEx)     (THIS_ __HKEY, CTULONG, PCTTCHAR, PCTULONG, PCTULONG, PCTTCHAR, PCTULONG, PFILETIME) PURE;
    STDMETHOD_(CTULONG, RegEnumValue)     (THIS_ __HKEY, CTULONG, PCTTCHAR, PCTULONG, PCTULONG, PCTULONG, PCTUCHAR, PCTULONG) PURE;
    STDMETHOD_(CTULONG, RegFlushKey)      (THIS_ __HKEY) PURE;
    STDMETHOD_(CTULONG, RegQueryInfoKey)  (THIS_ __HKEY, PCTTCHAR, PCTULONG, PCTULONG, PCTULONG, PCTULONG, PCTULONG, PCTULONG, PCTULONG, PCTULONG, PCTULONG, PFILETIME) PURE;

    STDMETHOD_(CTBOOL, InitDevReg)        (THIS_ const CTTCHAR *, PCREATIVEHDR) PURE;
    STDMETHOD_(CTVOID, Shutdown)          (THIS) PURE;

    STDMETHOD_(__HKEY, GetRootHKEY)     (THIS) PURE;
    STDMETHOD_(CTULONG, VBDeleted)        (THIS) PURE;
	STDMETHOD_(CTVOID, FastRead)          (THIS) PURE;
};

typedef IasDevReg * PASDEVREG;


#endif
