/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/**
*******************************************************************************
This interface encapsulates PIA's DLL loader in a general purpose manner
Copyright (C) 2007, Creative Technology Ltd. All Rights Reserved.
*******************************************************************************
*/

#ifndef __IasKernelModule_h
#define __IasKerenlModule_h

#include "ctcomdef.h"

// {22CAFDA0-E2CC-11d2-B0CA-0000E84E5B10}
DEFINE_GUID(IID_IasKernelModule, 0x22cafda0, 0xe2cc, 0x11d2, 0xb0, 0xca, 0x0, 0x0, 0xe8, 0x4e, 0x5b, 0x10);

#undef INTERFACE
#define INTERFACE IasKernelModule


DECLARE_INTERFACE_( IasKernelModule, ICtNondelegatingUnknown )
{
    // ICtNondelegatingUnknown
    IMP_ICTNONDEL;

    STDMETHOD(LoadModule)       (THIS_ CTPATH*, PCTHANDLE phModule) PURE;
    STDMETHOD(UnloadModule)     (THIS_ CTHANDLE hModule) PURE;
    STDMETHOD(GetProcAddress)   (THIS_ CTHANDLE hModule, PCTCHAR pszFName, PPCTVOID fAddress) PURE;
};

typedef IasKernelModule * PASKERNELMODULE;

#endif


