/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/******************************************************************************
 * Description:	This file should be used instead of <linux/types.h>
 * 		to work around problems caused by programming in c++
 * 		in Linux kernel newer than version 2.6.18
 ******************************************************************************/

#ifndef __CTTYPES_H
#define __CTTYPES_H

#if defined(__KERNEL__)
#	include <linux/version.h>
#	if defined(__cplusplus) && (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,19))
		typedef bool _Bool;
#		define bool linux_bool
#		define true linux_true
#		define false linux_false
#		include <linux/types.h>
#		undef false
#		undef true
#		undef bool
#	else
#		include <linux/types.h>
#	endif /*__cplusplus && kernel ver 2.6.19 onward*/
#else
#	include <sys/types.h>
#endif /*__KERNEL__*/

#endif /*__CTTYPES_H*/
