/**
*******************************************************************************
Confidential & Proprietary
Private & Confidential
Creative Confidential
*******************************************************************************
*/
/**
*******************************************************************************
Main code module for OSSrv
Copyright (C) 2008, Creative Technology Ltd. All Rights Reserved.
*******************************************************************************
*/

#include <linux/version.h>
#include <linux/module.h>
#include <linux/sched.h>
#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 0)
#   include <linux/init.h>
#   include <linux/kernel.h>
#endif


#include <IasSystem.h>

#include "ctossrv.h"

#if (CT_IS_WINDOWS)
#   error Illegal flag warning!!!
#endif

// Global vars
INSERT_VERSION_INFO;


int OSSrv_InitDriver(void);
int OSSrv_ExitDriver(void);


////////////////////
// Entry/Exit points
////////////////////

static int __init
ctossrv_init(void)
{
    PDEBUG("ctossrv: ctossrv_init");
    __do_global_ctors_aux();

    if (OSSrv_InitDriver()) {
        PDEBUG("Error: init driver failed\n");
        return -ENODEV;
    }

    return 0;
}

static void __exit
ctossrv_exit(void)
{
    PDEBUG("ctossrv: ctossrv_exit");
    OSSrv_ExitDriver();
}

module_init(ctossrv_init);
module_exit(ctossrv_exit);

MODULE_AUTHOR("Copyright (C) 1999-2008 Creative Technology Ltd");
MODULE_DESCRIPTION("OSSRV driver version 1.18.0000");
MODULE_LICENSE("Creative Proprietary License");

